---
# Cop supports --autocorrect.
Style/FormatString:
  Exclude:
    - 'app/components/diffs/overflow_warning_component.rb'
    - 'app/controllers/import/bitbucket_server_controller.rb'
    - 'app/controllers/import/bulk_imports_controller.rb'
    - 'app/controllers/import/fogbugz_controller.rb'
    - 'app/controllers/import/gitea_controller.rb'
    - 'app/controllers/import/github_controller.rb'
    - 'app/controllers/import/gitlab_groups_controller.rb'
    - 'app/controllers/import/gitlab_projects_controller.rb'
    - 'app/controllers/invites_controller.rb'
    - 'app/controllers/omniauth_callbacks_controller.rb'
    - 'app/controllers/profiles/chat_names_controller.rb'
    - 'app/controllers/profiles/emails_controller.rb'
    - 'app/controllers/profiles/preferences_controller.rb'
    - 'app/controllers/profiles/two_factor_auths_controller.rb'
    - 'app/controllers/profiles_controller.rb'
    - 'app/controllers/projects/google_cloud/deployments_controller.rb'
    - 'app/controllers/projects/google_cloud/service_accounts_controller.rb'
    - 'app/controllers/projects/issues_controller.rb'
    - 'app/controllers/projects/merge_requests_controller.rb'
    - 'app/controllers/projects/performance_monitoring/dashboards_controller.rb'
    - 'app/controllers/projects/pipeline_schedules_controller.rb'
    - 'app/controllers/projects/settings/ci_cd_controller.rb'
    - 'app/controllers/projects_controller.rb'
    - 'app/controllers/search_controller.rb'
    - 'app/controllers/users_controller.rb'
    - 'app/finders/todos_finder.rb'
    - 'app/graphql/mutations/release_asset_links/create.rb'
    - 'app/helpers/auth_helper.rb'
    - 'app/helpers/button_helper.rb'
    - 'app/helpers/ci/builds_helper.rb'
    - 'app/helpers/ci/pipelines_helper.rb'
    - 'app/helpers/ci/runners_helper.rb'
    - 'app/helpers/colors_helper.rb'
    - 'app/helpers/emails_helper.rb'
    - 'app/helpers/form_helper.rb'
    - 'app/helpers/groups/group_members_helper.rb'
    - 'app/helpers/groups_helper.rb'
    - 'app/helpers/import_helper.rb'
    - 'app/helpers/invite_members_helper.rb'
    - 'app/helpers/issuables_helper.rb'
    - 'app/helpers/issues_helper.rb'
    - 'app/helpers/members_helper.rb'
    - 'app/helpers/merge_requests_helper.rb'
    - 'app/helpers/mirror_helper.rb'
    - 'app/helpers/preferences_helper.rb'
    - 'app/helpers/profiles_helper.rb'
    - 'app/helpers/projects/project_members_helper.rb'
    - 'app/helpers/projects_helper.rb'
    - 'app/helpers/registrations_helper.rb'
    - 'app/helpers/reminder_emails_helper.rb'
    - 'app/helpers/search_helper.rb'
    - 'app/helpers/ssh_keys_helper.rb'
    - 'app/helpers/tags_helper.rb'
    - 'app/helpers/time_helper.rb'
    - 'app/helpers/timeboxes_helper.rb'
    - 'app/helpers/tree_helper.rb'
    - 'app/helpers/users_helper.rb'
    - 'app/helpers/whats_new_helper.rb'
    - 'app/helpers/wiki_page_version_helper.rb'
    - 'app/mailers/emails/members.rb'
    - 'app/mailers/emails/pages_domains.rb'
    - 'app/mailers/emails/profile.rb'
    - 'app/models/application_setting.rb'
    - 'app/models/application_setting_implementation.rb'
    - 'app/models/concerns/integrations/has_issue_tracker_fields.rb'
    - 'app/models/concerns/limitable.rb'
    - 'app/models/concerns/metric_image_uploading.rb'
    - 'app/models/concerns/spammable.rb'
    - 'app/models/concerns/token_authenticatable_strategies/encrypted.rb'
    - 'app/models/container_expiration_policy.rb'
    - 'app/models/custom_emoji.rb'
    - 'app/models/description_version.rb'
    - 'app/models/design_management/design.rb'
    - 'app/models/diff_note.rb'
    - 'app/models/diff_viewer/base.rb'
    - 'app/models/integrations/asana.rb'
    - 'app/models/integrations/bamboo.rb'
    - 'app/models/integrations/bugzilla.rb'
    - 'app/models/integrations/campfire.rb'
    - 'app/models/integrations/chat_message/pipeline_message.rb'
    - 'app/models/integrations/confluence.rb'
    - 'app/models/integrations/custom_issue_tracker.rb'
    - 'app/models/integrations/datadog.rb'
    - 'app/models/integrations/discord.rb'
    - 'app/models/integrations/emails_on_push.rb'
    - 'app/models/integrations/ewm.rb'
    - 'app/models/integrations/external_wiki.rb'
    - 'app/models/integrations/hangouts_chat.rb'
    - 'app/models/integrations/irker.rb'
    - 'app/models/integrations/jenkins.rb'
    - 'app/models/integrations/jira.rb'
    - 'app/models/integrations/mattermost.rb'
    - 'app/models/integrations/pipelines_email.rb'
    - 'app/models/integrations/pivotaltracker.rb'
    - 'app/models/integrations/pumble.rb'
    - 'app/models/integrations/pushover.rb'
    - 'app/models/integrations/redmine.rb'
    - 'app/models/integrations/unify_circuit.rb'
    - 'app/models/integrations/webex_teams.rb'
    - 'app/models/integrations/youtrack.rb'
    - 'app/models/integrations/zentao.rb'
    - 'app/models/merge_request_diff.rb'
    - 'app/models/milestone.rb'
    - 'app/models/pages_domain.rb'
    - 'app/models/project.rb'
    - 'app/models/resource_event.rb'
    - 'app/models/sent_notification.rb'
    - 'app/models/serverless/domain.rb'
    - 'app/models/user.rb'
    - 'app/models/wiki.rb'
    - 'app/models/wiki_page.rb'
    - 'app/models/work_items/parent_link.rb'
    - 'app/presenters/ci/pipeline_presenter.rb'
    - 'app/presenters/key_presenter.rb'
    - 'app/presenters/merge_request_presenter.rb'
    - 'app/presenters/project_presenter.rb'
    - 'app/serializers/build_details_entity.rb'
    - 'app/services/alert_management/alerts/update_service.rb'
    - 'app/services/boards/lists/base_create_service.rb'
    - 'app/services/concerns/update_repository_storage_methods.rb'
    - 'app/services/concerns/validates_classification_label.rb'
    - 'app/services/gravatar_service.rb'
    - 'app/services/groups/transfer_service.rb'
    - 'app/services/import/bitbucket_server_service.rb'
    - 'app/services/import/fogbugz_service.rb'
    - 'app/services/import/github_service.rb'
    - 'app/services/issuable_links/create_service.rb'
    - 'app/services/issues/clone_service.rb'
    - 'app/services/issues/close_service.rb'
    - 'app/services/issues/move_service.rb'
    - 'app/services/issues/set_crm_contacts_service.rb'
    - 'app/services/jira/requests/base.rb'
    - 'app/services/lfs/unlock_file_service.rb'
    - 'app/services/metrics/dashboard/clone_dashboard_service.rb'
    - 'app/services/metrics/dashboard/transient_embed_service.rb'
    - 'app/services/metrics/dashboard/update_dashboard_service.rb'
    - 'app/services/milestones/promote_service.rb'
    - 'app/services/personal_access_tokens/revoke_service.rb'
    - 'app/services/projects/cleanup_service.rb'
    - 'app/services/projects/create_from_template_service.rb'
    - 'app/services/projects/import_service.rb'
    - 'app/services/system_notes/design_management_service.rb'
    - 'app/services/timelogs/create_service.rb'
    - 'app/services/users/banned_user_base_service.rb'
    - 'app/services/work_items/parent_links/create_service.rb'
    - 'app/services/work_items/widgets/hierarchy_service/base_service.rb'
    - 'app/validators/addressable_url_validator.rb'
    - 'app/validators/any_field_validator.rb'
    - 'app/validators/array_members_validator.rb'
    - 'app/validators/import/gitlab_projects/remote_file_validator.rb'
    - 'app/workers/concerns/project_import_options.rb'
    - 'app/workers/gitlab/import/stuck_import_job.rb'
    - 'app/workers/object_storage/migrate_uploads_worker.rb'
    - 'config/initializers/rack_lineprof.rb'
    - 'danger/roulette/Dangerfile'
    - 'ee/app/components/billing/plan_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/enforcement_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/notification_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/usage_quota_alert_component.rb'
    - 'ee/app/components/namespaces/free_user_cap/usage_quota_trial_alert_component.rb'
    - 'ee/app/controllers/admin/elasticsearch_controller.rb'
    - 'ee/app/controllers/admin/geo/application_controller.rb'
    - 'ee/app/controllers/admin/geo/projects_controller.rb'
    - 'ee/app/controllers/admin/licenses_controller.rb'
    - 'ee/app/controllers/concerns/audit_events/date_range.rb'
    - 'ee/app/controllers/ee/projects/issues_controller.rb'
    - 'ee/app/controllers/ee/projects_controller.rb'
    - 'ee/app/controllers/ee/repositories/git_http_client_controller.rb'
    - 'ee/app/controllers/ee/repositories/lfs_api_controller.rb'
    - 'ee/app/controllers/groups/saml_group_links_controller.rb'
    - 'ee/app/controllers/groups/sso_controller.rb'
    - 'ee/app/controllers/projects/requirements_management/requirements_controller.rb'
    - 'ee/app/controllers/subscriptions/groups_controller.rb'
    - 'ee/app/helpers/admin/emails_helper.rb'
    - 'ee/app/helpers/billing_plans_helper.rb'
    - 'ee/app/helpers/ee/application_helper.rb'
    - 'ee/app/helpers/ee/geo_helper.rb'
    - 'ee/app/helpers/ee/groups/settings_helper.rb'
    - 'ee/app/helpers/ee/groups_helper.rb'
    - 'ee/app/helpers/ee/import_helper.rb'
    - 'ee/app/helpers/ee/members_helper.rb'
    - 'ee/app/helpers/ee/profiles_helper.rb'
    - 'ee/app/helpers/ee/projects_helper.rb'
    - 'ee/app/helpers/ee/timeboxes_helper.rb'
    - 'ee/app/helpers/ee/users/callouts_helper.rb'
    - 'ee/app/helpers/groups/sso_helper.rb'
    - 'ee/app/helpers/trial_registrations/reassurances_helper.rb'
    - 'ee/app/helpers/vulnerabilities_helper.rb'
    - 'ee/app/mailers/ee/emails/admin_notification.rb'
    - 'ee/app/mailers/emails/namespace_storage_usage_mailer.rb'
    - 'ee/app/models/ci/minutes/notification.rb'
    - 'ee/app/models/dast/profile.rb'
    - 'ee/app/models/dast/site_profile_secret_variable.rb'
    - 'ee/app/models/dast_site_profile.rb'
    - 'ee/app/models/dast_site_validation.rb'
    - 'ee/app/models/ee/member.rb'
    - 'ee/app/models/ee/namespace/storage/notification.rb'
    - 'ee/app/models/geo/upload_registry.rb'
    - 'ee/app/models/integrations/github.rb'
    - 'ee/app/models/iterations/cadence.rb'
    - 'ee/app/models/namespace_limit.rb'
    - 'ee/app/models/users_security_dashboard_project.rb'
    - 'ee/app/services/app_sec/dast/profiles/build_config_service.rb'
    - 'ee/app/services/app_sec/dast/profiles/create_associations_service.rb'
    - 'ee/app/services/app_sec/dast/scanner_profiles/destroy_service.rb'
    - 'ee/app/services/app_sec/dast/scanner_profiles/update_service.rb'
    - 'ee/app/services/app_sec/dast/site_profiles/destroy_service.rb'
    - 'ee/app/services/app_sec/dast/site_profiles/update_service.rb'
    - 'ee/app/services/concerns/incident_management/oncall_rotations/shared_rotation_logic.rb'
    - 'ee/app/services/dora/aggregate_metrics_service.rb'
    - 'ee/app/services/ee/projects/create_from_template_service.rb'
    - 'ee/app/services/group_saml/saml_group_links/create_service.rb'
    - 'ee/app/services/incident_management/escalation_policies/base_service.rb'
    - 'ee/app/services/issues/build_from_vulnerability_service.rb'
    - 'ee/app/services/merge_requests/create_from_vulnerability_data_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/policy_configuration_validation_service.rb'
    - 'ee/app/services/security/security_orchestration_policies/validate_policy_service.rb'
    - 'ee/app/services/timebox_report_service.rb'
    - 'ee/app/services/vulnerabilities/destroy_dismissal_feedback_service.rb'
    - 'ee/app/services/vulnerabilities/dismiss_service.rb'
    - 'ee/app/services/vulnerabilities/finding_dismiss_service.rb'
    - 'ee/app/services/vulnerabilities/historical_statistics/adjustment_service.rb'
    - 'ee/app/services/vulnerabilities/statistics/adjustment_service.rb'
    - 'ee/app/services/vulnerability_external_issue_links/create_service.rb'
    - 'ee/app/validators/user_existence_validator.rb'
    - 'ee/lib/audit/details.rb'
    - 'ee/lib/ee/gitlab/checks/push_rules/branch_check.rb'
    - 'ee/lib/ee/gitlab/checks/push_rules/commit_check.rb'
    - 'ee/lib/ee/gitlab/ci/pipeline/chain/validate/security_orchestration_policy.rb'
    - 'ee/lib/ee/gitlab/namespace_storage_size_error_message.rb'
    - 'ee/lib/ee/gitlab/quick_actions/epic_actions.rb'
    - 'ee/lib/ee/gitlab/quick_actions/issue_actions.rb'
    - 'ee/lib/ee/gitlab/quick_actions/issue_and_merge_request_actions.rb'
    - 'ee/lib/gitlab/analytics/cycle_analytics/stage_events/issue_label_added.rb'
    - 'ee/lib/gitlab/analytics/cycle_analytics/stage_events/issue_label_removed.rb'
    - 'ee/lib/gitlab/analytics/cycle_analytics/stage_events/merge_request_label_added.rb'
    - 'ee/lib/gitlab/analytics/cycle_analytics/stage_events/merge_request_label_removed.rb'
    - 'ee/lib/gitlab/auth/group_saml/response_check.rb'
    - 'ee/lib/gitlab/expiring_subscription_message.rb'
    - 'ee/lib/gitlab/geo.rb'
    - 'ee/lib/gitlab/licenses/submit_license_usage_data_banner.rb'
    - 'ee/lib/gitlab/manual_quarterly_co_term_banner.rb'
    - 'ee/lib/gitlab/vulnerabilities/container_scanning_vulnerability.rb'
    - 'ee/lib/tasks/gitlab/elastic.rake'
    - 'ee/spec/controllers/admin/licenses_controller_spec.rb'
    - 'ee/spec/controllers/groups/security/policies_controller_spec.rb'
    - 'ee/spec/features/admin/admin_settings_spec.rb'
    - 'ee/spec/features/admin/admin_users_spec.rb'
    - 'ee/spec/features/groups/analytics/cycle_analytics/filters_and_data_spec.rb'
    - 'ee/spec/features/groups/analytics/cycle_analytics/multiple_value_streams_spec.rb'
    - 'lib/api/helpers/packages/conan/api_helpers.rb'
    - 'lib/bulk_imports/network_error.rb'
    - 'lib/bulk_imports/users_mapper.rb'
    - 'lib/gitlab/bitbucket_server_import/importer.rb'
    - 'lib/gitlab/checks/push_file_count_check.rb'
    - 'lib/gitlab/ci/ansi2json/line.rb'
    - 'lib/gitlab/ci/badge/coverage/template.rb'
    - 'lib/gitlab/ci/config/entry/tags.rb'
    - 'lib/gitlab/ci/parsers/sbom/cyclonedx.rb'
    - 'lib/gitlab/ci/status/build/waiting_for_approval.rb'
    - 'lib/gitlab/config_checker/external_database_checker.rb'
    - 'lib/gitlab/config_checker/puma_rugged_checker.rb'
    - 'lib/gitlab/console.rb'
    - 'lib/gitlab/database/async_indexes/index_creator.rb'
    - 'lib/gitlab/database/background_migration/batched_migration.rb'
    - 'lib/gitlab/database/partitioning/single_numeric_list_partition.rb'
    - 'lib/gitlab/database/partitioning/time_partition.rb'
    - 'lib/gitlab/database/partitioning_migration_helpers/table_management_helpers.rb'
    - 'lib/gitlab/database/postgres_hll/batch_distinct_counter.rb'
    - 'lib/gitlab/database/reindexing/reindex_concurrently.rb'
    - 'lib/gitlab/database_importers/instance_administrators/create_group.rb'
    - 'lib/gitlab/database_importers/self_monitoring/project/create_service.rb'
    - 'lib/gitlab/email/message/in_product_marketing/base.rb'
    - 'lib/gitlab/email/message/in_product_marketing/create.rb'
    - 'lib/gitlab/email/message/in_product_marketing/helper.rb'
    - 'lib/gitlab/email/message/in_product_marketing/verify.rb'
    - 'lib/gitlab/exceptions_app.rb'
    - 'lib/gitlab/github_import/importer/pull_request_merged_by_importer.rb'
    - 'lib/gitlab/github_import/importer/single_endpoint_issue_events_importer.rb'
    - 'lib/gitlab/github_import/issuable_finder.rb'
    - 'lib/gitlab/github_import/label_finder.rb'
    - 'lib/gitlab/github_import/milestone_finder.rb'
    - 'lib/gitlab/github_import/object_counter.rb'
    - 'lib/gitlab/github_import/page_counter.rb'
    - 'lib/gitlab/github_import/parallel_scheduling.rb'
    - 'lib/gitlab/github_import/representation/diff_note.rb'
    - 'lib/gitlab/import_export/base/relation_factory.rb'
    - 'lib/gitlab/import_export/error.rb'
    - 'lib/gitlab/import_export/snippet_repo_restorer.rb'
    - 'lib/gitlab/jira_import.rb'
    - 'lib/gitlab/log_timestamp_formatter.rb'
    - 'lib/gitlab/metrics/dashboard/errors.rb'
    - 'lib/gitlab/metrics/dashboard/validator/errors.rb'
    - 'lib/gitlab/pages/cache_control.rb'
    - 'lib/gitlab/quick_actions/command_definition.rb'
    - 'lib/gitlab/quick_actions/commit_actions.rb'
    - 'lib/gitlab/quick_actions/issuable_actions.rb'
    - 'lib/gitlab/quick_actions/issue_actions.rb'
    - 'lib/gitlab/quick_actions/issue_and_merge_request_actions.rb'
    - 'lib/gitlab/quick_actions/merge_request_actions.rb'
    - 'lib/gitlab/quick_actions/relate_actions.rb'
    - 'lib/gitlab/usage/metrics/name_suggestion.rb'
    - 'lib/gitlab/version_info.rb'
    - 'lib/peek/views/detailed_view.rb'
    - 'lib/tasks/test.rake'
    - 'spec/controllers/graphql_controller_spec.rb'
    - 'spec/factories/lfs_objects.rb'
    - 'spec/features/admin/admin_users_spec.rb'
    - 'spec/features/groups/import_export/connect_instance_spec.rb'
    - 'spec/features/issues/form_spec.rb'
    - 'spec/finders/serverless_domain_finder_spec.rb'
    - 'spec/graphql/resolvers/projects/jira_projects_resolver_spec.rb'
    - 'spec/helpers/profiles_helper_spec.rb'
    - 'spec/lib/api/entities/release_spec.rb'
    - 'spec/lib/gitlab/config_checker/external_database_checker_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_migration_helpers/table_management_helpers_spec.rb'
    - 'spec/lib/gitlab/usage/service_ping_report_spec.rb'
    - 'spec/models/integrations/bamboo_spec.rb'
    - 'spec/models/integrations/datadog_spec.rb'
    - 'spec/models/serverless/domain_spec.rb'
    - 'spec/requests/api/graphql/project/jira_projects_spec.rb'
    - 'spec/services/groups/import_export/export_service_spec.rb'
    - 'spec/services/projects/import_export/export_service_spec.rb'
    - 'spec/support/helpers/javascript_fixtures_helpers.rb'
    - 'spec/support/shared_contexts/bulk_imports_requests_shared_context.rb'
    - 'spec/support/shared_examples/features/wiki/user_views_wiki_page_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/conan_packages_shared_examples.rb'
    - 'spec/support/shared_examples/services/jira/requests/base_shared_examples.rb'
    - 'spec/support/shared_examples/views/registration_features_prompt_shared_examples.rb'
    - 'spec/validators/any_field_validator_spec.rb'
    - 'spec/views/errors/omniauth_error.html.haml_spec.rb'
    - 'spec/views/groups/edit.html.haml_spec.rb'
    - 'spec/views/profiles/keys/_form.html.haml_spec.rb'
    - 'spec/views/profiles/notifications/show.html.haml_spec.rb'
    - 'tooling/lib/tooling/find_codeowners.rb'
